kind: Pod
apiVersion: v1
metadata:
  generateName: cold-win2019-errorsc-vm-1017-
  annotations:
    openshift.io/scc: forklift-controller-scc
    seccomp.security.alpha.kubernetes.io/pod: localhost/profiles/unshare.json
    security.openshift.io/validated-scc-subject-type: user
  resourceVersion: '6432622'
  name: cold-win2019-errorsc-vm-1017-qth76
  uid: 11c4c7d0-e77b-4317-9e93-c093fce3a535
  creationTimestamp: '2026-02-04T19:57:43Z'
  generation: 1
  managedFields:
    - manager: forklift-controller
      operation: Update
      apiVersion: v1
      time: '2026-02-04T19:57:43Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:forklift.app': {}
            'f:migration': {}
            'f:plan': {}
            'f:resource': {}
            'f:vmID': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"cold-win2019-errorsc-vm-1017-4jhqk"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"cold-win2019-errorsc-vm-1017-rm8rc"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"cold-win2019-errorsc-vm-1017-wqlj8"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"cold-win2019-errorsc-vm-1017-xpdp5"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"conversion-temp-storage"}':
              .: {}
              'f:ephemeral':
                .: {}
                'f:volumeClaimTemplate':
                  .: {}
                  'f:metadata':
                    .: {}
                    'f:creationTimestamp': {}
                  'f:spec':
                    .: {}
                    'f:accessModes': {}
                    'f:resources':
                      .: {}
                      'f:requests':
                        .: {}
                        'f:storage': {}
                    'f:storageClassName': {}
                    'f:volumeMode': {}
              'f:name': {}
            'k:{"name":"secret-volume"}':
              .: {}
              'f:name': {}
              'f:secret':
                .: {}
                'f:defaultMode': {}
                'f:secretName': {}
            'k:{"name":"vddk-vol-mount"}':
              .: {}
              'f:emptyDir': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"virt-v2v"}':
              'f:envFrom': {}
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/etc/secret"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                  'f:readOnly': {}
                'k:{"mountPath":"/mnt/disks/disk0"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/mnt/disks/disk1"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/mnt/disks/disk2"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/mnt/disks/disk3"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/opt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/var/tmp/virt-v2v"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:devices.kubevirt.io/kvm': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:devices.kubevirt.io/kvm': {}
                  'f:memory': {}
              'f:env':
                'k:{"name":"V2V_source"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_vmName"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_staticIPs"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"LOCAL_MIGRATION"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                .: {}
                'k:{"name":"V2V_fingerprint"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_extra_args"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"TMPDIR"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_HOSTNAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_libvirtURL"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"V2V_preserveStaticIPs"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":2112,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:name': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:initContainers':
            .: {}
            'k:{"name":"vddk-side-car"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/opt"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:enableServiceLinks': {}
          'f:securityContext':
            .: {}
            'f:fsGroup': {}
            'f:runAsNonRoot': {}
            'f:runAsUser': {}
            'f:seccompProfile':
              .: {}
              'f:localhostProfile': {}
              'f:type': {}
          'f:affinity':
            .: {}
            'f:podAntiAffinity':
              .: {}
              'f:preferredDuringSchedulingIgnoredDuringExecution': {}
    - manager: kube-scheduler
      operation: Update
      apiVersion: v1
      time: '2026-02-04T19:57:43Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            .: {}
            'k:{"type":"PodScheduled"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      subresource: status
  namespace: mtv-test
  labels:
    forklift.app: virt-v2v
    migration: 377616fa-ee64-4c56-b9fa-bf78856e4317
    plan: 1836641a-dd1b-4797-94d0-a59774d69bad
    resource: vm-config
    vmID: vm-1017
spec:
  nodeSelector:
    kubevirt.io/schedulable: 'true'
  restartPolicy: Never
  initContainers:
    - name: vddk-side-car
      image: 'quay.io/libvirt_v2v_cnv/vddk:8.0.1'
      resources:
        limits:
          cpu: '1'
          memory: 500Mi
        requests:
          cpu: 100m
          memory: 150Mi
      volumeMounts:
        - name: vddk-vol-mount
          mountPath: /opt
        - name: kube-api-access-9mwf5
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      imagePullPolicy: IfNotPresent
      securityContext:
        capabilities:
          drop:
            - ALL
        allowPrivilegeEscalation: false
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-9p4jc
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  affinity:
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
        - weight: 100
          podAffinityTerm:
            labelSelector:
              matchExpressions:
                - key: forklift.app
                  operator: In
                  values:
                    - virt-v2v
            topologyKey: kubernetes.io/hostname
            namespaceSelector: {}
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  securityContext:
    runAsUser: 107
    runAsNonRoot: true
    fsGroup: 107
    seccompProfile:
      type: Localhost
      localhostProfile: profiles/unshare.json
  containers:
    - resources:
        limits:
          cpu: '4'
          devices.kubevirt.io/kvm: '1'
          memory: 8Gi
        requests:
          cpu: '1'
          devices.kubevirt.io/kvm: '1'
          memory: 1Gi
      terminationMessagePath: /dev/termination-log
      name: virt-v2v
      env:
        - name: V2V_preserveStaticIPs
          value: 'true'
        - name: V2V_HOSTNAME
          value: WIN-L5SM2M3JFBO
        - name: V2V_vmName
          value: mtv-func-win2019-fd
        - name: V2V_libvirtURL
          value: 'vpx://administrator%40vsphere.local@10.6.46.250/Datacenter/host/10.6.46.29?cacert=/opt/ca-bundle.crt'
        - name: V2V_source
          value: vSphere
        - name: V2V_fingerprint
          value: '15:19:39:CE:8F:55:AD:B3:01:F0:95:21:9D:A9:CD:2C:3C:F8:25:6C'
        - name: V2V_extra_args
          value: '[]'
        - name: V2V_staticIPs
          value: '00:50:56:9c:fc:c0:ip:192.168.20.30,192.168.20.254,24,fec0:0:0:ffff::1,fec0:0:0:ffff::2,fec0:0:0:ffff::3'
        - name: TMPDIR
          value: /var/tmp/virt-v2v
        - name: LOCAL_MIGRATION
          value: 'true'
      securityContext:
        capabilities:
          drop:
            - ALL
        allowPrivilegeEscalation: false
      ports:
        - name: metrics
          containerPort: 2112
          protocol: TCP
      imagePullPolicy: Always
      volumeMounts:
        - name: cold-win2019-errorsc-vm-1017-4jhqk
          mountPath: /mnt/disks/disk0
        - name: cold-win2019-errorsc-vm-1017-rm8rc
          mountPath: /mnt/disks/disk1
        - name: cold-win2019-errorsc-vm-1017-xpdp5
          mountPath: /mnt/disks/disk2
        - name: cold-win2019-errorsc-vm-1017-wqlj8
          mountPath: /mnt/disks/disk3
        - name: vddk-vol-mount
          mountPath: /opt
        - name: secret-volume
          readOnly: true
          mountPath: /etc/secret
        - name: conversion-temp-storage
          mountPath: /var/tmp/virt-v2v
        - name: kube-api-access-9mwf5
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      envFrom:
        - prefix: V2V_
          secretRef:
            name: cold-win2019-errorsc-vm-1017-szvq2
      image: 'registry.redhat.io/migration-toolkit-virtualization/mtv-virt-v2v-rhel10@sha256:9a9b1f3b08eb4c3cc3f896b3ddfc242af6880d3df6f4e57c4ed825ee25ed9141'
  serviceAccount: default
  volumes:
    - name: cold-win2019-errorsc-vm-1017-4jhqk
      persistentVolumeClaim:
        claimName: cold-win2019-errorsc-vm-1017-4jhqk
    - name: cold-win2019-errorsc-vm-1017-rm8rc
      persistentVolumeClaim:
        claimName: cold-win2019-errorsc-vm-1017-rm8rc
    - name: cold-win2019-errorsc-vm-1017-xpdp5
      persistentVolumeClaim:
        claimName: cold-win2019-errorsc-vm-1017-xpdp5
    - name: cold-win2019-errorsc-vm-1017-wqlj8
      persistentVolumeClaim:
        claimName: cold-win2019-errorsc-vm-1017-wqlj8
    - name: vddk-vol-mount
      emptyDir: {}
    - name: secret-volume
      secret:
        secretName: cold-win2019-errorsc-vm-1017-szvq2
        defaultMode: 420
    - name: conversion-temp-storage
      ephemeral:
        volumeClaimTemplate:
          metadata:
            creationTimestamp: null
          spec:
            accessModes:
              - ReadWriteOnce
            resources:
              requests:
                storage: 150Gi
            storageClassName: error-sc
            volumeMode: Filesystem
    - name: kube-api-access-9mwf5
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  phase: Pending
  conditions:
    - type: PodScheduled
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2026-02-04T19:57:43Z'
      reason: Unschedulable
      message: '0/6 nodes are available: pod has unbound immediate PersistentVolumeClaims. preemption: 0/6 nodes are available: 6 Preemption is not helpful for scheduling.'
  qosClass: Burstable
